Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class SEQUENCE

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.SET
            |
            +--org.mozilla.jss.asn1.SEQUENCE

All Implemented Interfaces:
  ASN1Value

public class SEQUENCE
extends SET
implements ASN1Value

An ASN.1 SEQUENCE. This class is an ordered collection of ASN.1 values. It has an interface similar to a Java `Vector`. Null entries may be added; they will be skipped when encoded.

Nested Class Summary
`private static class` | `SEQUENCE.Element`
`static class` | `SEQUENCE.OF_Template` A Template for decoding SEQUENCE OF values.
`static class` | `SEQUENCE.Template` A class for constructing a `SEQUENCE` from its BER encoding.

Nested classes inherited from class org.mozilla.jss.asn1.SET
`SET.OF_Template, SET.Template`

Field Summary
`static Tag` | `TAG`

Fields inherited from class org.mozilla.jss.asn1.SET
`elements, FORM`

Constructor Summary
`SEQUENCE()`

Method Summary
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Writes the DER encoding to the given output stream, using the given implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static SEQUENCE.Template` | `getTemplate()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.mozilla.jss.asn1.SET
`addElement, addElement, BERencode, elementAt, elementWithTag, encode, insertElementAt, insertElementAt, removeAllElements, removeElementAt, size, tagAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### SEQUENCE

    public SEQUENCE()

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `SET`

### getTemplate

    public static SEQUENCE.Template getTemplate()

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Writes the DER encoding to the given output stream, using the given implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Overrides:
    `encode` in class `SET`
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD